# HG changeset patch
# User Aruna Matheswaran <aruna@multicorewareinc.com>
# Date 1544678715 -19800
#      Thu Dec 13 10:55:15 2018 +0530
# Node ID 81373aab81dfe2e31a5ef353b1073d8bf1e22502
# Parent  3023bd8b05c0a0dc4f60b4a1afc6619c5cc3d5a0
Dolby Vision: Fix MinGW build warnings and nits

diff -r 3023bd8b05c0 -r 81373aab81df doc/reST/cli.rst
--- a/doc/reST/cli.rst	Wed Oct 17 11:08:38 2018 +0530
+++ b/doc/reST/cli.rst	Thu Dec 13 10:55:15 2018 +0530
@@ -2216,7 +2216,7 @@
     
     Currently only profile 5 enabled, Default 0 (disabled)
 
-.. option:: --dolby-vision-rpu
+.. option:: --dolby-vision-rpu <filename>
 
     File containing Dolby Vision RPU metadata. If given, x265's Dolby Vision 
     metadata parser will fill the RPU field of input pictures with the metadata
diff -r 3023bd8b05c0 -r 81373aab81df source/x265.cpp
--- a/source/x265.cpp	Wed Oct 17 11:08:38 2018 +0530
+++ b/source/x265.cpp	Thu Dec 13 10:55:15 2018 +0530
@@ -572,15 +572,15 @@
  * and fill the rpu field of the input picture */
 static int rpuParser(x265_picture * pic, FILE * ptr)
 {
-    uint8_t byte;
+    uint8_t byteVal;
     uint32_t code = 0;
     int bytesRead = 0;
     pic->rpu.payloadSize = 0;
 
     if (!pic->pts)
     {
-        while (bytesRead++ < 4 && fread(&byte, sizeof(uint8_t), 1, ptr))
-            code = (code << 8) | byte;
+        while (bytesRead++ < 4 && fread(&byteVal, sizeof(uint8_t), 1, ptr))
+            code = (code << 8) | byteVal;
       
         if (code != START_CODE)
         {
@@ -590,9 +590,9 @@
     } 
 
     bytesRead = 0;
-    while (fread(&byte, sizeof(uint8_t), 1, ptr))
+    while (fread(&byteVal, sizeof(uint8_t), 1, ptr))
     {
-        code = (code << 8) | byte;
+        code = (code << 8) | byteVal;
         if (bytesRead++ < 3)
             continue;
         if (bytesRead >= 1024)
